id3lib 3.8.3

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ID3_IFStreamReader Class Reference

`#include <readers.h>`

Inheritance diagram for ID3_IFStreamReader:

## Public Member Functions
| ID3_IFStreamReader (ifstream &reader)
virtual void | close ()
| Close the reader. More...
Public Member Functions inherited from ID3_IStreamReader
| ID3_IStreamReader (istream &reader)
virtual | ~ID3_IStreamReader ()
virtual int_type | peekChar ()
| Return the next character to be read without advancing the internal position. More...
virtual size_type | readChars (char buf[], size_type len)
| Read up to `len` chars into buf and advance the internal position accordingly. More...
virtual size_type | readChars (char_type buf[], size_type len)
| Read up to `len` characters into buf and advance the internal position accordingly. More...
virtual pos_type | getBeg ()
| Return the beginning position in the reader. More...
virtual pos_type | getCur ()
| Return the current position in the reader. More...
virtual pos_type | getEnd ()
| Return the ending position in the reader. More...
virtual pos_type | setCur (pos_type pos)
| Set the value of the internal position for reading. More...
Public Member Functions inherited from ID3_Reader
virtual int_type | readChar ()
| Read a single character and advance the internal position. More...
virtual size_type | skipChars (size_type len)
| Skip up to `len` chars in the stream and advance the internal position accordingly. More...
virtual size_type | remainingBytes ()
virtual bool | atEnd ()

## Additional Inherited Members
Public Types inherited from ID3_Reader
typedef uint32 | size_type
typedef uint8 | char_type
typedef uint32 | pos_type
typedef int32 | off_type
typedef int16 | int_type
Static Public Attributes inherited from ID3_Reader
static const int_type | END_OF_READER = -1
Protected Member Functions inherited from ID3_IStreamReader
istream & | getReader () const

## Detailed Description

Definition at line 75 of file readers.h.

## Constructor & Destructor Documentation

ID3_IFStreamReader::ID3_IFStreamReader | ( | ifstream & | reader | ) |
| inline

Definition at line 79 of file readers.h.

## Member Function Documentation

virtual void ID3_IFStreamReader::close | ( |  | ) |
| inline virtual

Close the reader.

Any further actions on the reader should fail.

Reimplemented from ID3_IStreamReader.

Definition at line 82 of file readers.h.

The documentation for this class was generated from the following file:

- include/id3/readers.h